/* ledblink_special
 *  
 * Különleges módon villogtatjuk a beépített LED-et: 
 * Előbb fokozatosan csökkentjük, majd fokozatosan növeljük 
 * az állapotváltások közötti várakozások idejét.
 */
#define LED  13
int delayTime = 1000;

void setup() {
  pinMode(LED, OUTPUT);
}

void loop() {
  while(delayTime > 0) {         // amíg delayTime nagyobb, mint 0
    digitalWrite(LED, HIGH);
    delay(delayTime);
    digitalWrite(LED, LOW);
    delay(delayTime);
    delayTime = delayTime - 100;
  }
  while(delayTime < 1000) {      // amíg delayTime kisebb, mint 1000
    delayTime = delayTime + 100; // ezzel kezdjük, delayTime pozitív legyen! 
    digitalWrite(LED, HIGH);
    delay(delayTime);
    digitalWrite(LED, LOW);
    delay(delayTime);
  }
}
